<div class="checklist-preview">
  <div class="hover-overlay">
    <span
      class="delete-icon"
      (click)="deleteChecklist()">
      <strong>x</strong>
    </span>
    <img
      (click)="editChecklist()"
      class="edit-icon"
      src="assets/img/ic_mode_edit_black_24dp_2x.png">
  </div>
  <span
    class="name"
    [ngClass]="{'grayed-text': !checklist.name}">
    {{checklist.name || '(no name)'}}
  </span>
  <span class="description">
    {{checklist.description}}
  </span>
  <hr>
  <app-checklist-item-preview
    *ngFor="let item of getItemsArray() | slice:0:5;"
    [item]="item">
  </app-checklist-item-preview>
  <span
    class="hidden-items-count"
    [ngClass]="{'hidden': getHiddenItemsCount() < 1}">
    and {{getHiddenItemsCount()}} more
  </span>
</div>
